
Database - Feature #3011

try H2 internal connection pool instead of UnpooledConnectionProvider

03/01/2016 11:42 AM - Eric Faulhaber

Status: Rejected Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: Performance and Scalability

Improvements

  

billable: No vendor_id: GCD

Description

History

#1 - 03/01/2016 11:45 AM - Eric Faulhaber

I read in the H2 documentation that the H2 internal connection pool should be significantly faster for embedded databases than using the

DriverManager directly, which is what UnpooledConnectionProvider does. I'm not sure if this also applies to in-memory databases, but it's probably

worth a try -- the effort to implement this is not high.

#2 - 08/10/2016 11:45 PM - Eric Faulhaber

- Status changed from New to Rejected

Tried this. It went very badly. We need to maintain the existing mechanism of holding open connections for as long as any temp table exists.

#3 - 11/16/2016 12:31 PM - Greg Shah

- Target version changed from Milestone 17 to Performance and Scalability Improvements
